C
C Contain the parameters of a reconstructed beam particle trajectory
C xbeam - beam x-coordinate at z=zbeam
C ybeam - beam y-coordinate at z=zbeam
C zbeam - z-coordinate, at which (x,y)-coordinates of a beam trajectory
C         are calculated. It should be set during the initialization stage.
C xslop - trajectory x-slop: at any z     x=xbeam+xslop*(z-zbeam)
C yslop - trajectory y-slop: at any z     y=ybeam+yslop*(z-zbeam)
C xbeam_ok - .TRUE., if beam x-projection is successfully reconstructed
C ybeam_ok - .TRUE., if beam y-projection is successfully reconstructed
      logical xbeam_ok, ybeam_ok
      real xbeam, ybeam, zbeam, xslop, yslop
      common/beam/xbeam,ybeam,zbeam,xslop,yslop,xbeam_ok,ybeam_ok
C
