
c
c tdc common
c
c the tdc is the time between the trigger and the first time
c sampling
c
c hec_tdc_raw        raw TDC value in TDC units
c hec_tdc_ns         corrected TDC values in ns
c hec_tdc_raw_to_ns  conversion factor from tdc to ns
c hec_tdc_shift_ns   time in ns used to correct the tdc time
c hec_tdc_check      .true., if the current TDC value is inside TDC break-
c                    point region. It means that the value MAY be incorrect 
c                    by 25 nsec. It should be either checked and corrected 
c                    (if necessary) by user or the event should be rejected, 
c                    if such the check is impossible
c
      real hec_tdc_raw, hec_tdc_ns, hec_tdc_raw_to_ns, hec_tdc_shift_ns
      logical hec_tdc_check
      
      common /ssstdc/ hec_tdc_raw, 
     +                hec_tdc_ns, 
     +                hec_tdc_raw_to_ns,
     +                hec_tdc_shift_ns,
     +                hec_tdc_check
      
