      subroutine hec_tdc_evt
c
c process the raw tdc time
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc' !datacard values
      include'hec_tdc.inc'      !tdc values
c
      if (irunpd .lt. 6) return
c      
c convert from tdc to ns
c
      tdc_ns = tdc_raw * tdc_raw_to_ns
c
      if (run_mode .eq. 1) then
c
c for run periods from April 1998 onward....
c
        if (irunpd .eq. 6) then
          if (tdc_ns .gt. tdc_slice_shift) then
            tdc_ns = tdc_ns - 25.
          endif
        elseif (irunpd .ge. 7) then
          tdc_slice_shift = tdc_raw_to_ns*tdc_br_point
          if (tdc_raw .gt. tdc_br_point)
     +      tdc_ns = tdc_ns - 25.
          tdc_dubious = .false.
          if ((iabs(tdc_raw)-tdc_br_point) .le. tdc_guard_region)
     +      tdc_dubious = .true.
        endif
      endif
c      
      end

